Name:           kde-plasma-runcommand
Version:        2.1
Release:        1%{?dist}
Summary:        Simple plasmoid to run commands without using terminal or KRunner

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php/Run+Command?content=91495

Source0:        http://www.kde-look.org/CONTENT/content-files/91495-runcommand-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.3.0
BuildRequires:  gettext

%description
Simple plasmoid to run commands without using terminal or KRunner. Inspired by
KRunner runners, plasma-runner and KDE3 equivalent.


%prep
%setup -qn runcommand-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../applet
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_runcommand

%clean
rm -rf %{buildroot}


%files -f plasma_applet_runcommand.lang
%defattr(-,root,root,-)
%doc COPYING README CHANGELOG TODO
%{_kde4_libdir}/kde4/plasma_applet_runcommand.so
%{_kde4_datadir}/kde4/services/plasma-applet-runcommand.desktop

%changelog
* Mon Sep 14 2009 Jaroslav Reznik <jreznik@redhat.com> - 2.1-1
- update to 2.1
- requires KDE 4.3
- translations added

* Fri Aug 07 2009 Jaroslav Reznik <jreznik@redhat.com> - 2.0-2
- gettext BR readded

* Fri Aug 07 2009 Jaroslav Reznik <jreznik@redhat.com> - 2.0-1
- update to 2.0

* Mon Aug 04 2009 Jaroslav Reznik <jreznik@redhat.com> - 1.4-1
- update to 1.4
- gettext BR removed

* Thu Jul 23 2009 Jaroslav Reznik <jreznik@redhat.com> 1.3-1
- update to 1.3

* Wed Apr 22 2009 Jaroslav Reznik <jreznik@redhat.com> 1.2-1
- update to 1.2
- translations removed (no need for them anymore)

* Fri Apr 10 2009 Jaroslav Reznik <jreznik@redhat.com> 1.1-2
- adds missing gettext BR

* Fri Apr 10 2009 Jaroslav Reznik <jreznik@redhat.com> 1.1-1
- update to 1.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Jaroslav Reznik <jreznik@redhat.com> 1.0-1
- update to 1.0, cmake related changes

* Fri Jan 02 2009 Jaroslav Reznik <jreznik@redhat.com> 0.9-1
- update to 0.9

* Tue Dec 02 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7-2
- make VERBOSE=1

* Wed Nov 19 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7-1
- update to 0.7

* Thu Nov 13 2008 Jaroslav Reznik <jreznik@redhat.com> 0.6-1
- pre/post section removed
- update to 0.6
- fix build requires

* Fri Nov 07 2008 Jaroslav Reznik <jreznik@redhat.com> 0.4-1
- Initial package